<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<f:section name="Default">

	<f:comment><!-- Ensure parent variant fields are filled --></f:comment>
	{product.fillFieldsFromParent}


	<f:variable name="additionalCssClasses" value="" />
	<f:if condition="{product.highlight}">
		<f:variable name="additionalCssClasses" value="{settings.detail.css.class.highlight} {additionalCssClasses}" />
	</f:if>


	<div class="{settings.detail.css.class.wrapper} {product.cssClasses} {additionalCssClasses}">

		<div class="{settings.detail.css.class.wrapperInner}">
			<div class="{settings.detail.css.class.colLeft}">

				<f:render partial="Product/Detail/Images" section="Default" arguments="{_all}" />

				<div class="{settings.detail.css.class.headline.wrapper}">
					<f:render partial="Product/Detail/Headline" section="{settings.detail.headline}" arguments="{_all}" />
				</div>

				<div class="{settings.detail.css.class.teaser.wrapper}">
					<f:format.html>{product.teaser}</f:format.html>
				</div>
				<div class="{settings.detail.css.class.teaser.wrapper}">
					<f:format.html>{product.description}</f:format.html>
				</div>

				<f:render partial="Product/Detail/Details" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/Attributes" section="Default" arguments="{_all}" />

				<f:render partial="Product/Detail/QuestionCategories" section="Default" arguments="{_all}" />

			</div>
			<div class="{settings.detail.css.class.colRight}">

				<f:render partial="Product/Detail/Infos" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/GraduatedPrices" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/Variants" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/Categories" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/Tags" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/FeatureIcons" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/OtherImages" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/FileCollections" section="Default" arguments="{_all}" />
				<f:render partial="Product/Detail/Videos" section="Default" arguments="{_all}" />

				<div class="{settings.detail.css.class.backButton.wrapper}">
					<f:if condition="{searchWord}">
						<f:then>
							<f:render partial="Buttons/BackToSearch.html" section="Default" arguments="{_all}" />
						</f:then>
						<f:else>
							<f:render partial="Buttons/HistoryBack.html" section="Default" arguments="{_all}" />
						</f:else>
					</f:if>
				</div>

			</div>
		</div>

	</div>

	<f:variable name="relatedProductsLimit" value="3" />
	<f:render partial="Product/Detail/RelatedProducts" section="Default" arguments="{_all}" />

	<f:variable name="accessoriesLimit" value="3" />
	<f:render partial="Product/Detail/Accessories" section="Default" arguments="{_all}" />

	<f:variable name="accessoriesRequiredLimit" value="3" />
	<f:render partial="Product/Detail/AccessoriesRequired" section="Default" arguments="{_all}" />

</f:section>
